"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MockTokens_1 = require("./MockTokens");
var MockComponent_1 = require("./MockComponent");
/**
 * A mock simple text component with one slot that represents an internal text element.  This
 * supports text and fg color tokens.  These tokens should be delegated here and styles should be
 * produced by the MockText component itself for those tokens
 */
exports.MockText = MockComponent_1.mockCreate({
    slots: {
        root: {
            component: MockComponent_1.stockFakeComponent,
            styleFactories: [MockTokens_1.standardTextTokens, MockTokens_1.standardForegroundColorTokens]
        }
    }
});
/**
 * A mock button component that has a stock component for its root node, a sub-component for
 * text, and a stock component for the icon
 */
exports.MockButton = MockComponent_1.mockCreate({
    slots: {
        root: {
            component: MockComponent_1.stockFakeComponent,
            styleFactories: [MockTokens_1.standardBackgroundColorTokens, MockTokens_1.standardBorderTokens]
        },
        content: {
            component: exports.MockText,
            styleFactories: [MockTokens_1.standardTextTokens, MockTokens_1.standardForegroundColorTokens]
        },
        subContent: {
            component: MockComponent_1.stockFakeComponent,
            styleFactories: [MockTokens_1.standardTextTokens, MockTokens_1.standardCaptionTokens]
        },
        icon: {
            component: MockComponent_1.stockFakeComponent,
            styleFactories: [MockTokens_1.standardForegroundColorTokens]
        }
    }
});
//# sourceMappingURL=MockButton.js.map